Blame SOURCES/0566-dracut.sh-quote-sync-file-argument.patch

d84178
From 57c3103a6907fecab002f6d20b0410ad9a1b9f94 Mon Sep 17 00:00:00 2001
d84178
From: Harald Hoyer <harald@redhat.com>
d84178
Date: Wed, 11 Oct 2017 15:28:20 +0200
d84178
Subject: [PATCH] dracut.sh: quote sync file argument
d84178
d84178
---
d84178
 dracut.sh | 4 ++--
d84178
 1 file changed, 2 insertions(+), 2 deletions(-)
d84178
d84178
diff --git a/dracut.sh b/dracut.sh
d84178
index 9df63cd7..62e53b73 100755
d84178
--- a/dracut.sh
d84178
+++ b/dracut.sh
d84178
@@ -1704,8 +1704,8 @@ else
d84178
     exit 1
d84178
 fi
d84178
 
d84178
-sync $outfile 2> /dev/null
d84178
-if [ $? -ne 0 ] ; then
d84178
+
d84178
+if ! sync "$outfile" 2> /dev/null; then
d84178
     dinfo "dracut: sync operartion on newly created initramfs $outfile failed"
d84178
     exit 1
d84178
 fi